<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>fileatime</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Datum und Uhrzeit des letzten Zugriffs auf die Datei">
<meta name="keywords"       content="SELFPHP, PHP, Dateisystem-Funktionen, fileatime">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-13T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/dateisystem_funktionen/fileatime.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-13T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // Dateisystem-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Dateisystem-Funktionen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%">
      <h2>fileatime</h2></td>
</tr>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap colspan="2"> 
      <p> <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">int <b>fileatime</b>(string filename)</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p> PHP 3, PHP 4 &gt;= 4.0b1</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="172">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>MMit fileatime() kann man sich das Datum und die Uhrzeit des letzten 
        Zugriffs auf<br>
        eine Datei (filename) liefern lassen.</p>
      <p>Als R&uuml;ckgabewert dieser Funktion erhalten Sie das Datum im UNIX-Timestamp-<br>
        Format (Beginn der UNIX-Epoche - 01.01.1970 , 0:00:00 GMT), im Fehlerfall<br>
        wird false zur&uuml;ckgeliefert.</p>
      <p>Beachten Sie bitte, dass das Ergebnis zwischengespeichert (siehe clearstatcache)<br>
        wird.</p>
      <p>Siehe auch:</p>
      <ul>
        <li><a href="clearstatcache.html">clearstatcache()</a><br>
        </li>
      </ul>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="62">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>$datei = 'statistik.csv';<br>$zeit = fileatime($datei);<br>echo &quot;Letzter Zugriff auf die Datei $datei: $zeit&quot;;<br>echo &quot;&lt;br&gt;&quot;;<br>echo &quot;Formatiert: &quot; .gmdate(&quot;d M Y H:i:s&quot;, $zeit);<br>?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="34">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Letzter Zugriff auf die Datei statistik.csv: 997101358<br>
        Formatiert: 06 Aug 2001 12:35:58</p>
      <p></p>
    </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="filectime.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="filectime.html"><b>filectime</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="file_exists.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="file_exists.html"><b>file_exists</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Dateisystem-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>